require "narray"
require "numru/advanceddcl"
include NumRu
include NumRu::AdvancedDCL
include NMath


np = 4
nt = 10
dd = 0.07
ds = 0.003
dx = dd+ds*2
dy = 1.0/nt

#-- data ---
xbox = NArray[0.0, 1.0, 1.0, 0.0]
ybox = NArray[0.0, 0.0, 1.0, 1.0]

#-- graph ---
DCL.gliset('MAXMSG', 300)

Dev.open("X", true)

Frame.lfull=true
Frame.rat(0.85, 1.0)
Frame.mgn(0.0, 0.0, 0.05, 0.1)
Page.settitle('TEST OF COLORMAP', 'T', 0.0, -0.5, 0.025, 1)

Frame.new
Fig.window=[0.0, 1.0, 0.0, 1.0]
Fig.transnum=1

Text.charsize=0.01
Text.charcent=1
for j in 0..9
  for i in 0..9
    x1 = dx*i     + ds + (1-dx*nt)/2
    y1 = dy*(9-j) + ds
    x2 = x1 + dd
    y2 = y1 + dd
    itpat = (i+j*10)*1000 + 999

    Fig.viewport=[x1, x2, y1, y2]
    
    Tone.tonepat=itpat
    Tone.fill(xbox, ybox)
    Frame.pvpr(1)
    #chr = DCL.format("%5d", itpat)
    #Text.vdraw(x2, y2+(dy-dd)/2, chr)
  end
end

Dev.close
